%define short_name      commons-lang

Name: jakarta-%short_name
Version: 2.1
Release: alt1
Summary: Jakarta Commons Lang Package
License: Apache Software License
Group: Development/Java
Url: http://jakarta.apache.org/commons/lang.html
Source0: %short_name-%version-src.tar.bz2
#Patch0: %name-crosslink.patch

BuildArch: noarch
BuildPreReq: /proc rpm-build-java
BuildRequires: ant ant-junit junit

%description
The standard Java libraries fail to provide enough methods for
manipulation of its core classes. The Commons Lang Component provides
these extra methods.
The Commons Lang Component provides a host of helper utilities for the
java.lang API, notably String manipulation methods, basic numerical
methods, object reflection, creation and serialization, and System
properties. Additionally it contains an inheritable enum type, an
exception structure that supports multiple types of nested-Exceptions
and a series of utlities dedicated to help with building methods, such
as hashCode, toString and equals.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common

%description javadoc
Javadoc for %name.

%prep
%setup -q -n %short_name-%version
#%patch0 -p0

%build
%__ant \
  -Djunit.jar=%_javadir/junit.jar \
  -Dfinal.name=%name \
  test dist

%install
# jars
%__mkdir_p %buildroot%_javadir
%__cp -p dist/%name.jar %buildroot%_javadir

# javadoc
%__mkdir_p %buildroot%_javadocdir/%name
%__cp -pr dist/docs/api/* %buildroot%_javadocdir/%name

%files
%doc PROPOSAL.html STATUS.html LICENSE.txt RELEASE-NOTES.txt
%_javadir/*

%files javadoc
%_javadocdir/%name

%changelog
* Tue Jun 14 2005 Vladimir Lettiev <crux@altlinux.ru> 2.1-alt1
- 2.1

* Wed Mar 30 2005 Vladimir Lettiev <crux@altlinux.ru> 2.1-alt0.1
- Initial build for ALT Linux Sisyphus

